{# This means your page inherit from an existing template, it will already contains some html and allow to override what's inside the "blocks" #}
{% extends 'base.html.twig' %}

{% trans_default_domain('FightLogs') %}

{% block stylesheets %}
    <link rel="stylesheet" type="text/css" href="{{ asset('css/fight.css') }}" />
{% endblock %}

{% block javascripts %}
    {# Any extra JS for your page #}
{% endblock %}

{% block title %}
- FIGHT
{% endblock %}

{% block content %}
    <h1>Fight simulation <b>({{ versus }})</b></h1>
    <nav class="gameLogs">
        <ul>
            {% for log in logs %}
                {% if log != "" %}
                    {% if 'SHOW' in log %}
                        {% set data = log|split(':') %}
                        {% set revealCard = data[1] == "FACE" %}
                        {% set isFirst = data[2] == "A" %}
                        {% set id = data[3]|number_format %}
                        <div class="moveUpOnTimeline">
                            <div class="dinocardFightTimeline{% if isFirst %} firstPlayer {% endif %}">
                                {% if 'DINOZ' in log %}
                                    {% set strength = data[4] %}
                                    {% set endurance = data[5] %}
                                    {% set hatchMarkerCount = data[6] %}
                                    {% set injureCount = data[7] %}
                                    {{ include('Card/card.html.twig', { 'card': cardFactory.loadCard(id), 'canZoom': true, 'showCard': revealCard, 'strength':strength, 'endurance':endurance }) }}
                                {% else %}
                                    {{ include('Card/card.html.twig', { 'card': cardFactory.loadCard(id), 'canZoom': true, 'showCard': revealCard }) }}
                                {% endif %}
                                </div>
                        </div>
                    {% elseif 'LINE' in log %}
                        <hr>
                    {% else %}
                        <li>{{ log | raw }}</li>
                    {% endif %}
                {% else %}
                    <br>
                {% endif %}
            {% endfor %}
        </ul>
    </nav>
{% endblock %}